#!/bin/bash

display_center() {
    while IFS= read -r line; do
        printf "%*s\n" $(( (${#line} + COLS) / 2)) "${line}"
    done
}

display_right() {
    while IFS= read -r line; do
        printf "%*s\n" ${COLS} "${line}"
    done
}

display_bottom() { # rightと組み合わせるならbottomを先に呼ぶ
    local n=0
    local lines=()
    while IFS= read line; do
        let n++
        lines+=(${line})
    done
    for (( ; ROWS - n > 1; n++)) { echo; }
    for line in ${lines[@]}; do echo ${line}; done
}
